# IRremoteESP8266: src/ir_LG.h File Reference

ir_LG.h File Reference

Support for LG protocols. More...

Go to the source code of this file.

## Classes

union | LGProtocol
| Native representation of a LG A/C message. More...
class | IRLgAc
| Class for handling detailed LG A/C messages. More...

## Variables

const uint8_t | kLgAcFanLowest = 0
const uint8_t | kLgAcFanLow = 1
const uint8_t | kLgAcFanMedium = 2
const uint8_t | kLgAcFanHigh = 4
const uint8_t | kLgAcFanAuto = 5
const uint8_t | kLgAcTempAdjust = 15
const uint8_t | kLgAcMinTemp = 16
const uint8_t | kLgAcMaxTemp = 30
const uint8_t | kLgAcCool = 0
const uint8_t | kLgAcDry = 1
const uint8_t | kLgAcFan = 2
const uint8_t | kLgAcAuto = 3
const uint8_t | kLgAcHeat = 4
const uint8_t | kLgAcPowerOff = 3
const uint8_t | kLgAcPowerOn = 0
const uint8_t | kLgAcSignature = 0x88
const uint32_t | kLgAcOffCommand = 0x88C0051

## Detailed Description

Support for LG protocols.

See also
  https://github.com/arendst/Tasmota/blob/54c2eb283a02e4287640a4595e506bc6eadbd7f2/sonoff/xdrv_05_irremote.ino#L327-438

## Variable Documentation

## kLgAcAuto

const uint8_t kLgAcAuto = 3

## kLgAcCool

const uint8_t kLgAcCool = 0

## kLgAcDry

const uint8_t kLgAcDry = 1

## kLgAcFan

const uint8_t kLgAcFan = 2

## kLgAcFanAuto

const uint8_t kLgAcFanAuto = 5

## kLgAcFanHigh

const uint8_t kLgAcFanHigh = 4

## kLgAcFanLow

const uint8_t kLgAcFanLow = 1

## kLgAcFanLowest

const uint8_t kLgAcFanLowest = 0

## kLgAcFanMedium

const uint8_t kLgAcFanMedium = 2

## kLgAcHeat

const uint8_t kLgAcHeat = 4

## kLgAcMaxTemp

const uint8_t kLgAcMaxTemp = 30

## kLgAcMinTemp

const uint8_t kLgAcMinTemp = 16

## kLgAcOffCommand

const uint32_t kLgAcOffCommand = 0x88C0051

## kLgAcPowerOff

const uint8_t kLgAcPowerOff = 3

## kLgAcPowerOn

const uint8_t kLgAcPowerOn = 0

## kLgAcSignature

const uint8_t kLgAcSignature = 0x88

## kLgAcTempAdjust

const uint8_t kLgAcTempAdjust = 15